OSINT Lookups
Discord User Information
GET
https://oathnet.org/api
/
service
/
discord-userinfo
Discord User Information
curl --request GET \
--url https://oathnet.org/api/service/discord-userinfo \
--header 'x-api-key: <api-key>'import requests
url = "https://oathnet.org/api/service/discord-userinfo"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://oathnet.org/api/service/discord-userinfo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Request completed successfully",
"data": {
"id": "300760994454437890",
"username": "paradisle",
"global_name": "wesker",
"avatar_url": "https://cdn.discordapp.com/avatars/300760994454437890/8c31f2757630b21d33faf7d4308442df.png?size=1024",
"banner_url": null,
"creation_date": "2017-04-09 22:36:48 UTC",
"badges": [],
"_meta": {
"user": {
"plan": "Pro",
"plan_type": "pro",
"is_plan_active": true
},
"lookups": {
"used_today": 2,
"left_today": 99997,
"daily_limit": 99999,
"is_unlimited": false
}
}
}
}Authorizations
API key for authentication (lowercase header name)
Query Parameters
Discord user ID (snowflake) Discord ID must be 14-19 digits
Pattern:
^\d{14,19}$⌘I
Discord User Information
